> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or Resend Invite

> Post org invite via the Junction API. Requires authentication with your team API key.

<Info>
  [Junction Management API](/api-details/junction-management-api) is available for [the Scale plan](https://tryvital.io/pricing).
</Info>

<Tip>
  The base URL of this endpoint is `https://api.management.junction.com/`.

  The endpoint accepts only [Management Key](/api-details/junction-management-api#authentication) (`X-Management-Key`).
  Team API Key is not accepted.
</Tip>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://api.management.junction.com/v1/org/{org_id}/invite \
    --header 'Content-Type: application/json' \
    --header 'X-Vital-Org-Key: <api-key>' \
    --data '{
    "email": "<string>"
  }'
  ```
</RequestExample>


## OpenAPI

````yaml post /v1/org/{org_id}/invite
openapi: 3.1.0
info:
  title: Org Management
  version: 0.1.0
servers:
  - url: https://api.management.junction.com
    description: Production Management API server
security:
  - ManagementKey: []
paths:
  /v1/org/{org_id}/invite:
    post:
      tags:
        - Org Invite
      summary: Create Or Resend Invite In Org
      operationId: create_or_resend_invite_in_org_v1_org__org_id__invite_post
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrgInviteAPICreate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgInviteAPICreateResponse'
        '409':
          description: Conflict
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OrgInviteAPICreate:
      properties:
        email:
          type: string
          title: Email
        role:
          anyOf:
            - type: string
              enum:
                - org_admin
                - team_admin
            - type: string
              const: no_role
          title: Role
          default: org_admin
        team_role_bindings:
          anyOf:
            - items:
                $ref: '#/components/schemas/TeamRoleBinding'
              type: array
            - type: 'null'
          title: Team Role Bindings
      type: object
      required:
        - email
      title: OrgInviteAPICreate
    OrgInviteAPICreateResponse:
      properties:
        status:
          type: string
          enum:
            - invite_created
            - invite_resent
            - already_in_org
          title: Status
      type: object
      required:
        - status
      title: OrgInviteAPICreateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TeamRoleBinding:
      properties:
        team_id:
          type: string
          format: uuid
          title: Team Id
      type: object
      required:
        - team_id
      title: TeamRoleBinding
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ManagementKey:
      type: apiKey
      in: header
      name: X-Management-Key

````